﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;

public partial class Tickets_327691_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //RadGrid1.EditIndexes.Add(2);
    }

    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = SampleData;
    }

    public DataTable SampleData
    {
        get
        {
            if (Session["_data"] == null || !Page.IsPostBack)
            {
                System.Data.DataTable table = new System.Data.DataTable();
                table.Columns.Add("ID", Type.GetType("System.Int32"));
                table.Columns.Add("Name", Type.GetType("System.String"));
                table.Columns.Add("Date", Type.GetType("System.DateTime"));
                table.Columns.Add("Value", Type.GetType("System.Double"));

                Random rand = new Random();

                for (int i = 0; i < 10; i++)
                {
                    table.Rows.Add(i,
                                   "Item " + i.ToString(),
                                   DateTime.Today.AddDays(-10).AddDays(rand.NextDouble() * 20),
                                   rand.NextDouble() * 1000);
                }

                Session["_data"] = table;
            }

            return (DataTable)Session["_data"];
        }
    }

    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        //if (e.Item is GridEditableItem && e.Item.IsInEditMode)
        //{
        //    GridEditableItem editItem = (GridEditableItem)e.Item;
        //    double fldUnitRev = Double.Parse((editItem["Value"].Controls[1] as Literal).Text);
        //    editItem["Value"].Text = fldUnitRev.ToString("C2");
        //        //fldUnitRev
        //}

        if (e.Item is GridEditableItem && e.Item.IsInEditMode)
        {
            GridEditableItem editItem = (GridEditableItem)e.Item;
            GridNumericColumnEditor numEditor = (GridNumericColumnEditor)editItem.EditManager.GetColumnEditor("Value");
            numEditor.NumericTextBox.EnabledStyle.HorizontalAlign = HorizontalAlign.Right;
            numEditor.NumericTextBox.DisabledStyle.HorizontalAlign = HorizontalAlign.Right;
            numEditor.NumericTextBox.HoveredStyle.HorizontalAlign = HorizontalAlign.Right;
            numEditor.NumericTextBox.EmptyMessageStyle.HorizontalAlign = HorizontalAlign.Right;
            numEditor.NumericTextBox.FocusedStyle.HorizontalAlign = HorizontalAlign.Right;
            numEditor.NumericTextBox.InvalidStyle.HorizontalAlign = HorizontalAlign.Right;
            numEditor.NumericTextBox.NegativeStyle.HorizontalAlign = HorizontalAlign.Right;
            numEditor.NumericTextBox.ReadOnlyStyle.HorizontalAlign = HorizontalAlign.Right;
        }
    }
}